Context = {};
local Context_mt = { __index = Context };

function Context:new ()
  local context = setmetatable({}, Context_mt);
  return context;
end

function Context:getParentFrame ()
  return self.parentFrame;
end

function Context:setParentFrame (newParent)
  self.parentFrame = newParent;
end

function Context:clone()
  local clone = Context:new();
  clone:setParentFrame(self:getParentframe());
  return clone;
end