local _, private = ...;

private.anchorTable = {
  name = private.ANCHOR_NAME,
  type = "button",
  enableMouse = true,
  movable = true,
  clampedToScreen = true,
  frameStrata = "HIGH",
  parent = "!UIParent",
  registerForDrag = {
    "LeftButton",
  },
  anchors = {
    allPoints = "!" .. private.FRAME_NAME,
  },
  scripts = {
    OnDragStart = private.OnDragStart,
    OnDragStop = private.OnDragStop,
  },
};

private.frameTable = {
  name = private.FRAME_NAME;
  type = "frame",
  movable = true,
};